package com.datarecovery.master.module.customerservice;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import com.atmob.app.lib.base.BaseViewModel;
import com.atmob.app.lib.livedata.SingleLiveEvent;
import javax.inject.Inject;
import dagger.hilt.android.lifecycle.HiltViewModel;

@HiltViewModel
public class CustomerServiceViewModel extends BaseViewModel {


    private final SingleLiveEvent<?> onFinishEvent = new SingleLiveEvent<>();

    private final MutableLiveData<String> webTitle = new MutableLiveData<>();

    @Inject
    public CustomerServiceViewModel() {
    }

    public LiveData<?> getOnFinishEvent() {
        return onFinishEvent;
    }

    public LiveData<String> getWebTitle() {
        return webTitle;
    }

    public void onBackClick() {
        onFinishEvent.call();
    }

    public void setWebTitle(String webTitle) {
        this.webTitle.setValue(webTitle);
    }



}
